View Issue Details

IDProjectCategoryView StatusLast Update
0002083XdebugStep Debuggingpublic2022-06-06 15:28
Reportertrowski Assigned Toderick  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1.4 
Fixed in Version3.1.5 
Summary0002083: Constant defined with an enum case produce double "facet" attribute in context_get response
Description

Using an Enum case to define a constant results in two "facet" attributes in a <property> element of the XML response to the context_get command. Step-debugging then does not pause, but continues execution without a run command.

TagsNo tags attached.
Operating System
PHP Version8.0.10-8.0.19

Activities

trowski

2022-04-13 19:34

reporter  

test.php (104 bytes)   
<?php

enum TestEnum {
    case EnumCase;
}

const TestConst = TestEnum::EnumCase;

$value = TestConst;
test.php (104 bytes)   

derick

2022-04-15 14:11

administrator   ~0006277

https://github.com/xdebug/xdebug/pull/832

Thanks for the report and the patch, which I have now merged.

Issue History

Date Modified Username Field Change
2022-04-13 19:34 trowski New Issue
2022-04-13 19:34 trowski File Added: test.php
2022-04-15 14:11 derick Assigned To => derick
2022-04-15 14:11 derick Status new => closed
2022-04-15 14:11 derick Resolution open => fixed
2022-04-15 14:11 derick Fixed in Version => 3.1dev
2022-04-15 14:11 derick Note Added: 0006277
2022-06-06 15:28 derick Fixed in Version 3.1dev => 3.1.5